freeslot(
"sfx_drpdsh",
"sfx_dbjump",
"sfx_curl",
"S_DROPDASH1",
"S_DROPDASH2",
"S_DROPDASH3",
"S_DROPDASH4",
"S_DROPDASH5",
"S_DROPDASH6",
"SPR_DRPD"
)

sfxinfo[sfx_drpdsh] = {
	singular = false,
	caption = "Drop Dash Rev"
}

sfxinfo[sfx_dbjump] = {
	singular = false,
	caption = "Double Jump"
}

sfxinfo[sfx_curl] = {
	singular = false,
	caption = "Air Curl"
}

states[S_DROPDASH1] = {
	sprite = SPR_DRPD,
	frame = A,
	tics = 1,
	nextstate = S_DROPDASH2
}

states[S_DROPDASH2] = {
	sprite = SPR_DRPD,
	frame = B,
	tics = 1,
	nextstate = S_DROPDASH3
}

states[S_DROPDASH3] = {
	sprite = SPR_DRPD,
	frame = C,
	tics = 1,
	nextstate = S_DROPDASH4
}

states[S_DROPDASH4] = {
	sprite = SPR_DRPD,
	frame = D,
	tics = 1,
	nextstate = S_DROPDASH5
}

states[S_DROPDASH5] = {
	sprite = SPR_DRPD,
	frame = E,
	tics = 1,
	nextstate = S_DROPDASH6
}

states[S_DROPDASH6] = {
	sprite = SPR_DRPD,
	frame = F,
	tics = 1,
	nextstate = S_DROPDASH1
}

states[S_PLAY_PAIN] = {
	sprite = SPR_PLAY,
	frame = SPR2_PAIN|FF_ANIMATE,
	tics = 25,
	nextstate = S_PLAY_FALL
}

states[S_PLAY_GLIDE_LANDING] = {
	sprite = SPR_PLAY,
	frame = SPR2_LAND,
	tics = 6,
	nextstate = S_PLAY_STND
}

mobjinfo[MT_RING] = {
	doomednum = 300,
	spawnstate = S_RING,
	spawnhealth = 1000,
	reactiontime = MT_FLINGRING,
	deathstate = S_SPRK1,
	deathsound = sfx_itemup,
	speed = 38 * FRACUNIT,
	radius = 24 * FRACUNIT, --bigger hitbox
	height = 38 * FRACUNIT,
	mass = 100,
	flags = MF_SLIDEME|MF_SPECIAL|MF_NOGRAVITY|MF_NOCLIPHEIGHT
}